{% extends 'base.html' %}

{% block header %}
<h1>{% block title %}profile{% endblock %}</h1>
{% endblock %}

{% block styles %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/list.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/header.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/button.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/grid.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/card.min.css">
{% endblock %}

<div class="row">
  {% block profile %}
  {% if g.user.id == current_user.id %}
  <h6 class="ui top attached header">Your tweets</h6>
  {% for post in g.user.posts %}
  <div class="ui list">
    <div class="item">
      <i class="twitter icon"></i>
      <div class="content">
        <a class="header time">{{ post.created_at }}</a>
        <div class="description">{{ post.content }}</div>
      </div>
      <div class="content">
        <form action="{{ url_for('tweet.delete', id=post['id']) }}" method="post">
          <button class="btn-small waves-light red" type="submit" name="action">Delete
          </button>
        </form>
      </div>
    </div>
  </div>
  {% endfor %}
  {% endif %}
  {% endblock %}
  {% block content %}
  <div class="ui equal width center aligned padded grid">
    <div class="row">
      <div class="olive column">
        <div class="ui raised card">
          <div class="content">
            <div class="header">{{ current_user.name.capitalize() }}</div>
            <div class="meta">
              <span class="category time">Joined {{  current_user.created_at }}</span>
            </div>
            <div class="description">
              <p>{{  current_user.bio }}</p>
            </div>
          </div>
          <div class="extra content">
            <div class="centre floated">
                <a>
                    <i class="twitter icon"></i>
                    {{  current_user.posts|length }} tweets
                  </a>
            </div>
          </div>
        </div>
      </div>
      <div class="black column">
        <div class="ui inverted segment">
          <div class="ui inverted relaxed divided list">
            <div class="item">
              <div class="content">
                <div class="header">Name</div>
                {{  current_user.name.capitalize() }}
              </div>
            </div>
            <div class="item">
              <div class="content">
                <div class="header">Email</div>
                {{  current_user.email }}
              </div>
            </div>
            <div class="item">
              <div class="content">
                <div class="header">Bio</div>
                {{ current_user.bio }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div>
    {% if g.user.id == current_user.id %}
    <button id="modal" rel="modal:open" class="ui basic positive button">
        <i class="icon user"></i>
        <a href="{{ url_for('user.update_user', id=current_user.id) }}">Update Profile</a>
      </button>
      <button id="download"  class="ui basic button">
        <i class="icon download"></i>
        <a id='download_link'>Request Tweets</a>
      </button>
    {% endif %}
  </div>
  {% endblock %}
</div>
{% block script %}
<script src="{{ url_for('static', filename='js/tweetDownloader.js') }}"></script>
{% endblock %}
